#! /usr/bin/python

# setup.py originally written by Mikhail Sobolev

import os

from distutils.core import setup
from distutils.extension import Extension

xpcom_extension = Extension(
    name='xpcom._xpcom',
    sources=[
    'src/ErrorUtils.cpp',
    'src/PyGBase.cpp',
    'src/PyGModule.cpp',
    'src/PyGStub.cpp',
    'src/PyGInputStream.cpp',
    'src/PyGWeakReference.cpp',
    'src/PyIClassInfo.cpp',
    'src/PyIComponentManager.cpp',
    'src/PyIInputStream.cpp',
    'src/PyIEnumerator.cpp',
    'src/PyIID.cpp',
    'src/PyIInterfaceInfo.cpp',
    'src/PyIInterfaceInfoManager.cpp',
    'src/PyISimpleEnumerator.cpp',
    'src/PyISupports.cpp',
    'src/PyIVariant.cpp',
    'src/Pyxpt_info.cpp',
    'src/TypeObject.cpp',
    'src/VariantUtils.cpp',
    'src/dllmain.cpp',
    'src/xpcom.cpp',
    ],
    include_dirs=[
    'src',
    '/usr/include/mozilla/xpcom',
    '/usr/include/mozilla',
    '/usr/include/mozilla/string',
    '/usr/include/mozilla/nspr',
    ],
    library_dirs=['/usr/lib/mozilla'],
    libraries=['xpcom', 'plds4', 'plc4', 'nspr4', 'pthread', 'dl', 'c'],
    extra_compile_args=['-fno-rtti', '-g'],
    )

setup (name='xpcom',
       version='x.x.x',
       ext_modules=[xpcom_extension],
       packages=['xpcom', 'xpcom.client', 'xpcom.server'],
       package_dir={'xpcom' : os.curdir}
       )
